<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\AbonoEstuiante;
use App\Models\Caja;
use App\Models\Cierre;
use App\Models\CuadreReceso;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class CierreController extends Controller
{

    public function create()
    {
        $entradas = $this->listDataToCajaForCierre();
        $salidas = $this->listDataToCajaForCierre('Salida');
        $recesos = CuadreReceso::where('user_id', Auth::user()->id)->whereDate('created_at', date('Y-m-d'))->get();

        $tc = 0;
        foreach ($recesos as $re) {
            $tc += $re->credito;
        }

        $efectivo = $this->abonosToTipo('EFECTIVO')[0];
        $visa = $this->abonosToTipo('VISA')[0];
        $trans = $this->abonosToTipo('TRANSFERENCIA')[0];
        $depo = $this->abonosToTipo('DEPOSITO')[0];
        $otro = $this->abonosToTipo('OTRO')[0];



        // dd(
        //     ($efectivo->total) ? $efectivo->total : 0,
        //     ($visa->total) ? $visa->total : 0,
        //     ($trans->total) ? $trans->total : 0,
        //     ($depo->total) ? $depo->total : 0,
        //     ($otro->total) ? $otro->total : 0,
        // );

        return view('admin.cierre.index', compact(
            'entradas',
            'salidas',
            'recesos',
            'tc',
            'efectivo',
            'visa',
            'trans',
            'depo',
            'otro',


        ));
    }

    public function listDataToCajaForCierre($tipo = 'Entrada')
    {
        $t = 0;
        $cajas = Caja::where([
            ['user_id', Auth::user()->id],
            ['tipo', $tipo]
        ])
            ->whereDate('created_at', date('Y-m-d'))
            ->get();

        foreach ($cajas as $v) {
            $t += $v->valor;
        }
        return $t;
    }

    public function store(Request $request)
    {
        Cierre::create($request->all());
        alert()->success('CIERRE', 'GUARDADO CON EXITO');
        return back();
    }


    public function delete(Cierre $cierre)
    {
        $cierre->delete();
        alert()->info('CIERRE', 'ELIMINADO CON EXITO');
        return back();
    }

    public function abonosToTipo($tipo)
    {

        return AbonoEstuiante::select(DB::raw('SUM(valor) as total'), 'tipo')->where('tipo', $tipo)->whereDate('created_at', date('Y-m-d'))->get();
    }
}
