@extends('layouts.simple')

@section('styles')
<link rel="stylesheet" href="{{asset('plugin/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection


@section('scripts')
<script src="{{asset('plugin/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugin/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

<script>
   $(document).ready(function() {
      $('#table_id').DataTable({});
   });
</script>
@endsection

@section('content')
<div class="container mb-5 mt-3">
   <div class="row">
      <div class="col">
         <div class="card">
            <div class="card-body">

               <div class="d-flex justify-content-md-around">
                  <h4 class="card-title">ARTICULOS</h4>

                  <div><!-- Button trigger modal -->
                     <button type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#articulos11">
                        NUEVO ARTICULO
                     </button>

                     <!-- Modal -->
                     <div class="modal fade" id="articulos11" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                           <div class="modal-content">
                              <div class="modal-header">
                                 <h5 class="modal-title">NUEVO ARTICULO</h5>
                                 <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                 </button>
                              </div>
                              <form action="{{route('arti.store')}}" method="post">
                                 @csrf
                                 <div class="modal-body">
                                    <div class="form-group">
                                       <label for="">ARTICULO</label>
                                       <input type="text" class="form-control" name="nombre">
                                    </div>

                                    <div class="form-group">
                                       <label for="">PRECIO VENTA</label>
                                       <input type="number" step="any"  class="form-control" name="p_venta">
                                    </div>

                                    <div class="form-group">
                                       <label for="">PRECIO COSTO</label>
                                       <input type="number" step="any"  class="form-control" name="p_costo">
                                    </div>

                                    <div class="form-group">
                                       <label for="">STOCK</label>
                                       <input type="number" step="any"  class="form-control" name="stock">
                                    </div>

                                 </div>
                                 <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">CERRAR</button>
                                    <button type="submit" class="btn btn-primary"><i class="fas fa-save    "></i> GUARDAR</button>
                              </form>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>

            <table class="table" id="table_id">
               <thead>
                  <tr>
                     <th>ARTICULO</th>
                     <th>PRECIO VENTA</th>
                     <th>STOCK</th>
                     <th></th>
                  </tr>
               </thead>
               <tbody>
                  @foreach ($data as $d)
                  <tr>
                     <td>{{$d->nombre}}</td>
                     <td>Q. {{number_format($d->p_venta, 2)}}</td>
                     <td>{{$d->stock}}</td>
                     <th>
                        @if (Auth::user()->role_id == 1)

                        <a class="btn btn-primary" href="{{route('arti.edit', $d)}}" role="button"><i class="fa fa-eye" aria-hidden="true"></i></a>

                        <form action="{{route('arti.delete', $d)}}" method="post">
                           @csrf
                           @method('DELETE')
                           <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar?')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                        </form>
                        @endif
                     </th>
                  </tr>
                  @endforeach
               </tbody>
            </table>
         </div>
      </div>
   </div>
</div>
</div>
@endsection