@extends('layouts.reporte')

@section('content')

<div class='container-fluid'>
   <div class='row justify-content-center'>
      <div class='col-md-3'>
         <p class="text-center h4">MOVIMIENTOS DE CAJA CHICA</p>
      </div>
   </div>


   <div class="row">
      <div class="col">
         <h4 class="card-title text-center ">MOVIMIENTOS DE ENTRADAS</h4>
         <div class="card">
            <div class="card-body table-responsive">
               <table class="table table-hover" id="table_id" data-page-length="15">
                  <thead>
                     <tr>
                        <th>Fecha</th>
                        <th>Valor </th>
                        <th>Descripcion</th>
                        <th>Tipo</th>
                     </tr>
                  </thead>
                  <tbody>
                     @php
                     $te = 0;

                     @endphp
                     @foreach($entradas as $ent)
                     @if ($ent->tipo === 'Entrada')
                     <?php $te += $ent->valor ?>
                     @endif

                     <tr>
                        <td>{{$ent->created_at}}</td>
                        <td>Q. {{number_format($ent->valor, 2)}}</td>
                        <td>{{$ent->descripcion}}</td>
                        <td>{{$ent->tipo}}</td>

                     </tr>
                     @endforeach
                  </tbody>
               </table>

               <div class="text-right mx-4">
                  <!-- TODO: SUMAS Y RESTAS DE ENTRADAS Y SALIDAS -->
                  <p style="text-align: right;" class="text-info">TOTAL EN ENTRADAS: Q. {{number_format($te, 2)}}</p>
               </div>



            </div>
         </div>
      </div>
   </div>

   <div class="row">
      <div class="col">
         <h4 class="card-title text-center ">MOVIMIENTOS DE GASTOS</h4>
         <div class="card">
            <div class="card-body table-responsive">
               <table class="table table-hover" id="table_id" data-page-length="15">
                  <thead>
                     <tr>
                        <th>Fecha</th>
                        <th>Valor </th>
                        <th>Descripcion</th>
                        <th>Tipo</th>

                     </tr>
                  </thead>
                  <tbody>
                     @php

                     $ts = 0;
                     @endphp
                     @foreach($salidas as $ent)

                     @if ($ent->tipo === 'Salida')
                     <?php $ts += $ent->valor ?>
                     @endif
                     <tr>
                        <td>{{$ent->created_at}}</td>
                        <td>Q. {{number_format($ent->valor, 2)}}</td>
                        <td>{{$ent->descripcion}}</td>
                        <td>{{$ent->tipo}}</td>
                     </tr>
                     @endforeach
                  </tbody>
               </table>

               <div class="text-right mx-4">

                  <p style="text-align: right;" class="text-info">TOTAL EN SALIDAS: Q. {{number_format($ts, 2)}}</p>
               </div>



            </div>
         </div>
      </div>
   </div>

   <div class="row">
      <div class="col">
         <p class="text-center card-title h4">
            VENTAS
         </p>
         <div class="table-responsive">
            <table class="table">
               <thead>
                  <tr>
                     <th>ARTICULO</th>
                     <th>CANTIDAD</th>
                     <th>PRECIO DE VENTA</th>
                     <th>SUBTOTAL</th>
                  </tr>
               </thead>
               <?php $total = 0; ?>
               <tbody>
                  @foreach ($ventas as $v)
                  <?php $total += ($v->p_venta * $v->cantidad) ?>
                  <tr>
                     <td>{{$v->articulo->nombre}}</td>
                     <td> {{number_format($v->cantidad, 2)}}</td>
                     <td>Q. {{number_format($v->p_venta, 2)}}</td>
                     <td>Q. {{number_format($v->p_venta * $v->cantidad, 2)}}</td>
                  </tr>
                  @endforeach
                  <tr>
                     <td></td>
                     <td></td>
                     <td></td>
                     <td class="text-info">TOTAL: Q. {{number_format($total, 2)}}</td>
                  </tr>
               </tbody>
            </table>

         </div>
      </div>
   </div>

   <div class="row">
      <div class="col">
         <p class="text-center h5">CREDITOS</p>
         <div class="table-responsive">
            <table class="table ">
               <thead>
                  <tr>
                     <th>ESTUDIANTE</th>
                     <th>AUTORIZO</th>
                     <th>MEDIO</th>
                     <th>VALOR</th>
                     <th>FECHA DE PAGO</th>
                     <th>DESCRIPCION</th>
                     <th>FECHA DE CREACION</th>
                  </tr>
               </thead>
               <tbody>
                  <?php $tcr = 0; ?>
                  @foreach ($credito as $a)
                  <?php $tcr += $a->valor; ?>
                  <tr>
                     <td>{{$a->estudiante->nombre}} / {{$a->estudiante->grado}}</td>
                     <td>{{$a->autorizo}}</td>
                     <td>{{$a->medio}}</td>
                     <td>Q. {{number_format($a->valor, 2)}}</td>
                     <td>{{$a->f_pago}}</td>
                     <td>{{$a->descripcion}}</td>
                     <td>{{$a->created_at}}</td>
                  </tr>
                  @endforeach
               </tbody>
            </table>
            <p class="text-info text-center">TOTAL DE CREDITOS: Q. {{number_format($tcr, 2)}}</p>
         </div>
      </div>
   </div>

   <div class="row">
      <div class="col">
         <p class="text-center h5">ABONOS</p>

         <div class="table-responsive">
            <table class="table">
               <thead>
                  <tr>
                     <th>ESTUDIANTE</th>
                     <th>VALOR</th>
                     <th>TIPO</th>
                     <th>DESCRIPCION</th>
                     <th>FECHA</th>
                  </tr>
               </thead>
               <tbody>
                  <?php $tab = 0;?>
                  @foreach ($abonos as $a)
                  <?php $tab += $a->valor;?>
                  <tr>
                     <td>{{$a->estudiante->nombre}} / {{$a->estudiante->grado}}</td>
                     <td>Q. {{number_format($a->valor, 2)}}</td>
                     <td>{{$a->tipo}}</td>
                     <td>{{$a->descripcion}}</td>
                     <td>{{$a->created_at}}</td>
                  </tr>
                  @endforeach
               </tbody>
            </table>
         </div>
      </div>
      <p class="text-info text-center">TOTAL DE ABONOS: Q. {{number_format($tab, 2)}}</p>

   </div>


   <div class="row">
      <p class="text-center">CUADRES DE RECESOS</p>
      <div class="table-responsive">
         <table class="table">
            <thead>
               <tr>
                  <th>RECESO</th>
                  <th>TOTAL</th>
                  <th>CREDITO</th>

               </tr>
            </thead>
            <tbody>
               <?php $tr = 0; ?>
               @foreach ($recesos as $re)
               <?php $tr += $re->total; ?>
               <tr>
                  <td>{{$re->receso}}</td>
                  <td>Q. {{number_format($re->total, 2)}}</td>
                  <td>Q. {{number_format($re->credito, 2)}}</td>
               </tr>
               @endforeach
            </tbody>
         </table>
      </div>

      <p class="h4">TOTAL EN CUADRES: Q. {{number_format($tr, 2)}}</p>

   </div>


   <div class="row">
      <div class="col">
         <p class="text-center">CIERRES DE CAJA</p>
         <table class="table">
            <thead>
               <tr>
                  <th>USUARIO</th>
                  <th>GASTOS</th>
                  <th>TOTAL</th>
                  <th>EFECTIVO</th>
                  <th>VISA</th>
                  <th>TRANSFERENCIA</th>
                  <th>DEPOSITO</th>
                  <th>OTRO</th>
                  <th></th>
               </tr>
            </thead>
            <tbody>
               @foreach ($cierres as $c)
               <tr>
                  <td>{{$c->user->name}}</td>
                  <td>Q. {{number_format($c->gastos, 2)}}</td>
                  <td>Q. {{number_format($c->total, 2)}}</td>
                  <td>Q. {{number_format($c->efectivo, 2)}}</td>
                  <td>Q. {{number_format($c->aux1, 2)}}</td>
                  <td>Q. {{number_format($c->aux2, 2)}}</td>
                  <td>Q. {{number_format($c->aux3, 2)}}</td>
                  <td>Q. {{number_format($c->aux4, 2)}}</td>
                  <td>
                     <form action="{{route('ci.delete', $c)}}" method="post">
                        @csrf
                        @method('DELETE')
                        <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar?')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                     </form>
                  </td>
               </tr>
               @endforeach

            </tbody>
         </table>
      </div>
   </div>


   <div class="row">
      <div class="col">
         <p class="text-center h3">RESUMEN</p>

         <p>
            CAJA CHICA: Q. {{number_format($te,2)}} <br>
            GASTOS: Q. {{number_format($ts,2)}} <br>
            CUADRES RECESO: Q. {{number_format($tr,2)}} <br>
            CREDITOS: Q. {{number_format($tcr,2)}} <br>
            ABONOS: Q. {{number_format($tab,2)}} <br>
         </p>

         <p class="text-center">(CAJA CHICA + CUADRES RECESO + ABONOS ) MENOS (GASTOS)</p>

         <p class="h3 mb-5 text-center">TOTAL A ENTREGAR:   Q. {{number_format(($te + $tr + $tab)- $ts, 2)}}</p>

      </div>
   </div>

</div>

@endsection