<!doctype html>
<html lang="en">

<head>
   <title><?php echo e(config('app.name')); ?></title>
   <!-- Required meta tags -->
   <meta charset="utf-8">
   <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
   <!-- Bootstrap CSS -->
   <link rel="stylesheet" href="<?php echo e(asset('bootstrap.min.css')); ?>" crossorigin="anonymous">
   <script src="<?php echo e(asset('fontaweson/fontaws.js')); ?>"></script>
   <?php echo $__env->yieldContent('styles'); ?>

   <style>
      pagination {
         --bs-pagination-disabled-bg: #1c3e37;
      }
   </style>

</head>

<body>

   <nav class="navbar navbar-expand-md navbar-light bg-light">
      <a class="navbar-brand" href="#"><?php echo e(config('app.name')); ?></a>
      <button class="navbar-toggler d-lg-none" type="button" data-toggle="collapse" data-target="#collapsibleNavId" aria-controls="collapsibleNavId" aria-expanded="false" aria-label="Toggle navigation">
         <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="collapsibleNavId">
         <ul class="navbar-nav mt-2 mt-lg-0 ml-auto text-center" style="margin-left: auto;">

            <li class="nav-item">
               <a class="nav-link" href="<?php echo e(route('home')); ?>">Inicio |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="<?php echo e(route('cr.create')); ?>">Cuadre Recesos |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="<?php echo e(route('ci.create')); ?>">Cierre De Caja |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="<?php echo e(route('caja.index')); ?>">Caja |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="<?php echo e(route('arti.index')); ?>">Articulos |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="<?php echo e(route('arti.valores')); ?>">Valores Articulos |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="<?php echo e(route('menu.index')); ?>">Menus |</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="<?php echo e(route('home')); ?>">Usuarios |</a>
            </li>
            
            <li class="nav-item">
               <a class="nav-link" href="<?php echo e(route('estu.index')); ?>">Estudiantes |</a>
            </li>

            <li class="nav-item">
               <form action="<?php echo e(route('logout')); ?>" method="post"><?php echo csrf_field(); ?> <button type="submit" class="btn btn-primary">CERRAR SESSION</button></form>
            </li>



         </ul>
      </div>
   </nav>


   <?php echo $__env->make('sweetalert::alert', ['cdn' => "https://cdn.jsdelivr.net/npm/sweetalert2@9"], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

   <?php echo $__env->yieldContent('content'); ?>

   <!-- Optional JavaScript -->
   <!-- jQuery first, then Popper.js, then Bootstrap JS -->
   <script src="<?php echo e(asset('jquery.min.js')); ?>"></script>
   <script src="<?php echo e(asset('popper.min.js')); ?>"></script>
   <script src="<?php echo e(asset('bootstrap.min.js')); ?>"></script>

   <?php echo $__env->yieldContent('scripts'); ?>
</body>

</html><?php /**PATH /home/dev/Escritorio/proyect-php/tienda_cdelvalle/resources/views/layouts/simple.blade.php ENDPATH**/ ?>